retrace_count(3)

NAME
retrace_count

SYNOPSIS
#include <allegro.h>

extern volatile int retrace_count;

DESCRIPTION
If the retrace simulator is installed, this is incremented on each vertical retrace, otherwise it is incremented 70 times a second (ignoring retraces). This provides a useful way of controlling the speed of your program without the hassle of installing user timer functions. The speed of retraces varies depending on the graphics mode. In mode 13h and 200/400 line mode-X resolutions there are 70 retraces a second, and in 240/480 line modes there are 60. It can be as low as 50 (in 376x282 mode) or as high as 92 (in 400x300 mode).

SEE ALSO
timer_simulate_retrace(3), timer_is_using_retrace(3), retrace_proc(3)